#ifndef DATAOBJECT_H
#define DATAOBJECT_H

#include <QObject>

class DataObject : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)
    Q_PROPERTY(QString color READ color WRITE setColor NOTIFY colorChanged)
public:
    explicit DataObject(QObject *parent = nullptr);
    explicit DataObject(QString name, QString color);

    const QString &name() const;
    void setName(const QString &newName);

    const QString &color() const;
    void setColor(const QString &newColor);

    QString m_name;
    QString m_color;
signals:

    void nameChanged();
    void colorChanged();
};

#endif // DATAOBJECT_H
